/* Copyright (C) 1996,1997 Robert H”hne, see COPYING.RH for details */
/* This file is part of RHIDE. */
#ifndef __IDEAPP_H__
#define __IDEAPP_H__

class TPalette;

class IDE : public TEditorApp
{
public:
  IDE() : TProgInit( &IDE::initStatusLine,
                     &IDE::initMenuBar,
		     &IDE::initDeskTop),
	  TEditorApp()
  {}
  virtual TCEditWindow *openEditor( char *fileName, Boolean visible );
  virtual TPalette & getPalette() const;
  static TMenuBar * initMenuBar(TRect );
  static TStatusLine * initStatusLine(TRect );
  virtual void handleEvent(TEvent &);
  virtual void getEvent(TEvent &);
  virtual void update(void);
  virtual void fileOpen();
  virtual void idle();
protected:
  virtual void dosShell();
  virtual void resume();
#if 0
  virtual void suspend();
#endif
};

#endif
